
# NOTE: packages can use jasper:
# ImageMagick
# kdelibs
# koffice
# netpbm

Summary: Implementation of the JPEG-2000 standard, Part 1
Name:    jasper
Group:   System Environment/Libraries
Version: 1.701.0
Release: 9%{?dist}

License: JasPer License Version 2.0
URL:     http://www.ece.uvic.ca/~mdadams/jasper/
Source:  http://www.ece.uvic.ca/~mdadams/jasper/software/jasper-1.701.0.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: jasper-1.701.0-GL.patch

BuildRequires: libjpeg-devel
BuildRequires: freeglut-devel
# workaround: 
#  "freeglut-devel should Requires: libGL-devel, libGLU-devel"
#  http://bugzilla.redhat.com/bugzilla/179464
BuildRequires: libGL-devel libGLU-devel

%description
This package contains an implementation of the image compression
standard JPEG-2000, Part 1. It consists of tools for conversion to and
from the JP2 and JPC formats.

%package devel
Summary: JPEG-2000 library developer files
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libjpeg-devel
%description devel
%{summary}.


%prep
%setup -q

%patch1 -p1 -b .GL


%build
%configure \
  --enable-shared \
  --disable-static 

make %{?_smp_mflags}


%check ||:
make check


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Unpackaged files
rm -f doc/README
rm -f $RPM_BUILD_ROOT%{_bindir}/%{_target_platform}*
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

# avoid conflict(s) with tomcat
# not needed anymore, see bz #176773
# mv $RPM_BUILD_ROOT%{_bindir}/jasper $RPM_BUILD_ROOT%{_bindir}/jaspertool


%files
%defattr(-,root,root)
%doc COPYRIGHT LICENSE NEWS README
%{_bindir}/imgcmp
%{_bindir}/jiv
%{_bindir}/imginfo
%{_bindir}/jasper*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc doc/*
%{_includedir}/*
%{_libdir}/lib*.so


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Jan 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.701.0-9
- workaround "freeglut-devel should Requires: libGL-devel, libGLU-devel"
  (#179464)

* Tue Jan 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.701.0-8
- revert jasper to jaspertool rename (#176773)
- actually use/apply GL patch

* Tue Oct 18 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.701.0-7
- GL patch to remove libGL dependancy (using only freeglut)

* Tue Oct 18 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.701.0-6
- token %%check section
- --enable-shared 

* Mon Oct 17 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.701.0-5
- use %%{?dist}
- BR: libGL-devel 

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Oct 23 2004 Rex Dieter <rexdieter at sf.net> 0:1.701.0-0.fdr.3
- Capitalize summary
- remove 0-length ChangeLog

* Fri Jun 04 2004 Rex Dieter <rexdieter at sf.net> 0:1.701.0-0.fdr.2
- nuke .la file
- BR: glut-devel -> freeglut-devel

* Tue Jun 01 2004 Rex Dieter <rexdieter at sf.net> 0:1.701.0-0.fdr.1
- 1.701.0

* Tue Jun 01 2004 Rex Dieter <rexdieter at sf.net> 0:1.700.5-0.fdr.2
- avoid conflicts with fc'2 tomcat by renaming /usr/bin/jasper -> jaspertool

* Mon Mar 08 2004 Rex Dieter <rexdieter at sf.net> 0:1.700.5-0.fdr.1
- use Epochs.
- -devel: Requires: %%name = %%epoch:%%version

* Thu Jan 22 2004 Rex Dieter <rexdieter at sf.net> 1.700.5-0.fdr.0
- first try

